fedora-extras-list@redhat.com
[Top] [All Lists]

Re: Obsoletes in a spec file

Subject: Re: Obsoletes in a spec file
From: Axel Thimm
Date: Wed, 24 May 2006 09:46:06 +0200
On Wed, May 24, 2006 at 07:23:53AM +0100, Paul wrote:
> > > obsoletes: anjuta-1.2.4a-{release}
> > > 
> > > or is there more to it than that?
> > 
> > Why do you want to add that at all?
> > 
> > (anjuta-2.0.2 is an update/upgrade of anjuta-1.2.4a already)
> 
> I've found with the upgrade (rpm -Uhv) things don't work as well as. Do
> rpm -e with the old version and everything is great. 

Then that's either

o a bug in %post* %pre* scriplets, and adding obsoletes won't make any
  difference. You probably get eaten by %postin from the new package
  being called before %postun from the old one. rpm -e, rpm -i
  separate these steps (but an explicit obsolete will not, so you'd be
  back to square 1).

o (higly unlikely) a bug in rpm

Why don't you report on the issues you have and we can help you fix
the package? Paste in any %post* %pre* scripts you've written.
-- 
Axel.Thimm at ATrpms.net
-- 
fedora-extras-list mailing list
fedora-extras-list@xxxxxxxxxx
https://www.redhat.com/mailman/listinfo/fedora-extras-list
<Prev in Thread] Current Thread [Next in Thread>